<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Sitesettings {
        var $menu_data = array();
        
		 function __construct()
		{
			$this->CI =& get_instance();
			$this->CI->load->model("Helper_model");
			$this->CI->load->helper("url");
			$this->getsitedata();
					
		}
		
      function getsitedata(){
		$response = $this->CI->Helper_model->getsitesettings();

		$results = unserialize($response[0]['value']);

		define('SITENAME',$results['sitename']);
		define('TITLE',$results['title']);
		define('DESCRIPTION',$results['description']);
		define('KEYWORDS',$results['keywords']);
		define('CONTACT1',$results['contact1']);
		define('CONTACT2',$results['contact2']);
		define('ADDRESS',$results['address']);
		define('EMAIL1',$results['email1']);
		define('EMAIL2',$results['email2']);
		define('WHATSAPP',$results['whatsapp']);
		define('FACEBOOK',$results['facebook']);
		define('LINKEDIN',$results['linkedin']);
		define('TWITTER',$results['twitter']);
		define('INSTAGRAM',$results['instagram']);
		define('PINTEREST',$results['pinterest']);
		define('YOUTUBE',$results['youtube']);
		define('SKYPE',$results['skype']);
		define('GOOGLEREVIEW',$results['googlereview']);
		define('FACEBOOKREVIEW',$results['facebookreview']);
		define('JUSTDIALREVIEW',$results['justdialreview']);
		define('DISCLAIMER',$results['disclaimer']);
		define('STORE1',$results['store1']);
		define('STORE2',$results['store2']);
		define('WORKINGHRTOP',$results['workinghrtop']);
		define('WORKINGHRTABLE',$results['workinghrtable']);	
	  }
}